:root {
    --backgroupdDark : #222;
    --backgroupdDark1: #3b3b3b;
    --backgroupdDark2: #4b4b4b;
    --primaryDark: #00b0f0;


    --backgroupdLight1: #fefefe;
}
.dropdown-menu{
    z-index: 99999 !important;
}
.position-absolute .btn-sm {
    font-size: .5rem;
    padding: .2rem .5rem;
}

body.dark{
    background: var(--backgroupdDark) !important;
    color: #ffffff;
}
.dark #sidenav-main{
    background: var(--backgroupdDark1) !important;
}
.dark .navbar-light .navbar-nav .nav-link{
    color: #ffffff;
}
.dark .main-content .navbar-top{
    background: var(--backgroupdDark2) !important;
}
.dark .text-default{
    color: var(--primaryDark) !important;
}
.dark .card, .dark .card-header{
    background: transparent !important;
}
.dark .card-header h2{
    color: #ffffff !important;
}
.dark .with-border{
    border: 1px solid rgba(256,256,256,0.5);
}
.dark #dataTable thead{
    background: transparent !important;
}
.dark .card-footer{
    background: var(--backgroupdDark1);
}
.dark .table td, .dark .table th {
    border-top: 1px solid rgba(256,256,256,0.2);
}
.dark .table thead th{
    border-bottom: 1px solid var(--primaryDark) !important;
    background: var(--primaryDark);
    color: #ffffff !important;
}
.dark .bg-secondary{
    background: var(--backgroupdDark) !important;
}
.dark .bg-head {
    background: #3b3b3b;
}
.dark .form-control {
    border: 1px solid rgba(256,256,256,0.3);
    background: rgba(256,256,256,0.1);
    color: #ffffff;
}
.dark .select2-search--dropdown .select2-search__field {
    border: 1px solid rgba(256,256,256,0.3);
    background: rgba(256,256,256,0.1);
    color: #ffffff;
}
.dark .select2-container--bootstrap4 .select2-selection{
    border: 1px solid rgba(256,256,256,0.3);
    background: rgba(256,256,256,0.1);
    color: #ffffff;
}
.dark .select2-container .select2-selection--single .select2-selection__rendered{
    border: 1px solid rgba(256,256,256,0);
    background: rgba(256,256,256,0);
    color: #ffffff;
}
.dark .select2-container--bootstrap4 .select2-dropdown .select2-results__option[aria-selected="true"] {
    background-color: var(--primaryDark);
}
.dark .select2-dropdown{
    border: 1px solid var(--backgroupdDark2);
    background: var(--backgroupdDark);
}
.dark .modal-content, .dark .modal-body{
    background: var(--backgroupdDark1) !important;
}
.dark .modal-backdrop{
    background: #000000;
}
.dark .modal-backdrop.show{
    opacity: 0.8;
}
.dark h3{
    color: var(--primaryDark);
}
.dark .close > span:not(.sr-only){
    color: #ffffff;
}
.dark .search-box .input-group-text{
    background: #003a63 !important;
}
.dark .modal-silver .modal-body{
    background: var(--backgroupdDark1) !important;
}
.dark .jstree-default .jstree-wholerow-clicked{
    background: var(--backgroupdDark) !important;
}
.dark .jstree-default .jstree-wholerow-hovered{
    background: var(--primaryDark) !important;
}

.dark .swal-modal{
    background: var(--backgroupdDark2);
}
.dark .swal-text, .dark .swal-title{
    color: #ffffff;
}
.dark .swal-icon--success::after, .dark .swal-icon--success::before, .dark .swal-icon--success__hide-corners {
    background: transparent;
}
.dark .dropdown-menu{
    background: var(--backgroupdDark);
    color: var(--primaryDark);
}
.dark .bootstrap-datetimepicker-widget.dropdown-menu.bottom::after {
    border-bottom: 7px solid var(--backgroupdDark);
    border-bottom-color: rgb(204, 204, 204);
    border-bottom-color: rgba(0,0,0,0.2);
}
.dark .datepicker table tr td.active,
.dark .datepicker table tr td.active.highlighted,
.dark .datepicker table tr td.active.highlighted:hover,
.dark .datepicker table tr td.active:hover{
    background: var(--primaryDark);
}
.dark .bg-white{
    background: var(--backgroupdDark) !important;
}

.form-control {
    border: 1px solid #aaa;
}
.form-control:focus {
    border-color: rgb(50, 151, 211);
}
.light .modal .form-control{
    background: rgba(0, 0, 0, 0.05);
    color: #333333;
}
.light .modal .form-control:focus{
    background: rgba(0, 0, 0, 0.05);
}

.light .modal-content, .light .modal-body{
    background: var(--backgroupdLight1) !important;
}

.light .modal .select2-container--bootstrap4 .select2-selection{
    border: 1px solid #aaaaaa;
}
.light .modal .select2-container .select2-selection--single .select2-selection__rendered{
    background: rgba(0,0,0,0.06);
}
.light .text-default .text-white{
    color: var(--primaryDark) !important;
}
